DefaultGrailsApplicationAttributes (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.servlet
[Java] Class DefaultGrailsApplicationAttributes

    java.lang.Object
      org.codehaus.groovy.grails.web.servlet.DefaultGrailsApplicationAttributes

All Implemented Interfaces:
  GrailsApplicationAttributes

    public class DefaultGrailsApplicationAttributes
    extends java.lang.Object

Holds knowledge about how to obtain certain attributes from either the ServletContext or the HttpServletRequest instance.

Authors:
  Graeme Rocher

See Also:
  GrailsWebRequest

Since:
  0.3

Constructor Summary
`DefaultGrailsApplicationAttributes(javax.servlet.ServletContext context)`

Method Summary
`org.springframework.context.ApplicationContext` | `getApplicationContext()`
`java.lang.String` | `getApplicationUri(javax.servlet.ServletRequest request)` @deprecated Use instead
`groovy.lang.GroovyObject` | `getController(javax.servlet.ServletRequest request)`
`java.lang.String` | `getControllerActionUri(javax.servlet.ServletRequest request)`
`java.lang.String` | `getControllerUri(javax.servlet.ServletRequest request)`
`org.springframework.validation.Errors` | `getErrors(javax.servlet.ServletRequest request)`
`FlashScope` | `getFlashScope(javax.servlet.ServletRequest request)`
`GrailsApplication` | `getGrailsApplication()`
`GroovyPagesUriService` | `getGroovyPagesUriService()`
`org.springframework.context.MessageSource` | `getMessageSource()`
`java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
`java.io.Writer` | `getOut(javax.servlet.http.HttpServletRequest request)`
`GroovyPagesTemplateEngine` | `getPagesTemplateEngine()`
`java.lang.String` | `getPluginContextPath(javax.servlet.http.HttpServletRequest request)`
`javax.servlet.ServletContext` | `getServletContext()`
`groovy.lang.GroovyObject` | `getTagLibraryForTag(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String tagName)`
`groovy.lang.GroovyObject` | `getTagLibraryForTag(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String tagName, java.lang.String namespace)`
`java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)`
`java.lang.String` | `getTemplateUri(java.lang.CharSequence templateName, javax.servlet.ServletRequest request)`
`java.lang.String` | `getViewUri(java.lang.String viewName, javax.servlet.http.HttpServletRequest request)`
`void` | `setOut(javax.servlet.http.HttpServletRequest request, java.io.Writer out2)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### DefaultGrailsApplicationAttributes

    public DefaultGrailsApplicationAttributes(javax.servlet.ServletContext context)

Method Detail

### getApplicationContext

    public org.springframework.context.ApplicationContext getApplicationContext()

### getApplicationUri

    @java.lang.Deprecatedpublic String getApplicationUri(ServletRequest request) {
    public java.lang.String getApplicationUri(javax.servlet.ServletRequest request)

  deprecated:
    Use instead
  Parameters:
    `request` - The Servlet Reqest
  Returns:
    The Application URI

### getController

    public groovy.lang.GroovyObject getController(javax.servlet.ServletRequest request)

### getControllerActionUri

    public java.lang.String getControllerActionUri(javax.servlet.ServletRequest request)

### getControllerUri

    public java.lang.String getControllerUri(javax.servlet.ServletRequest request)

### getErrors

    public org.springframework.validation.Errors getErrors(javax.servlet.ServletRequest request)

### getFlashScope

    public FlashScope getFlashScope(javax.servlet.ServletRequest request)

### getGrailsApplication

    public GrailsApplication getGrailsApplication()

### getGroovyPagesUriService

    public GroovyPagesUriService getGroovyPagesUriService()

### getMessageSource

    public org.springframework.context.MessageSource getMessageSource()

### getNoSuffixViewURI

    public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

### getOut

    public java.io.Writer getOut(javax.servlet.http.HttpServletRequest request)

### getPagesTemplateEngine

    public GroovyPagesTemplateEngine getPagesTemplateEngine()

### getPluginContextPath

    public java.lang.String getPluginContextPath(javax.servlet.http.HttpServletRequest request)

### getServletContext

    public javax.servlet.ServletContext getServletContext()

### getTagLibraryForTag

    public groovy.lang.GroovyObject getTagLibraryForTag(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String tagName)

### getTagLibraryForTag

    public groovy.lang.GroovyObject getTagLibraryForTag(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String tagName, java.lang.String namespace)

### getTemplateURI

    public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

### getTemplateUri

    public java.lang.String getTemplateUri(java.lang.CharSequence templateName, javax.servlet.ServletRequest request)

### getViewUri

    public java.lang.String getViewUri(java.lang.String viewName, javax.servlet.http.HttpServletRequest request)

### setOut

    public void setOut(javax.servlet.http.HttpServletRequest request, java.io.Writer out2)

Groovy Documentation